Skip to main content
`Ctrl`+`K`

# scipy.special.pbwa

scipy.special.pbwa(a, x, out=None) = <ufunc 'pbwa'>

  Parabolic cylinder function W.

  The function is a particular solution to the differential equation

  \[y'' + \left(\frac{1}{4}x^2 - a\right)y = 0,\]

  for a full definition see section 12.14 in [1].

  Parameters:
    a array_like

      Real parameter

    x array_like

      Real argument

    out ndarray, optional

      Optional output array for the function results

  Returns:
    w scalar or ndarray

      Value of the function

    wp scalar or ndarray

      Value of the derivative in x

  Notes

  The function is a wrapper for a Fortran routine by Zhang and Jin [2]. The implementation is accurate only for `|a|, |x| < 5` and returns NaN outside that range.

  References

  [1]

  Digital Library of Mathematical Functions, 14.30. https://dlmf.nist.gov/14.30

  [2]

  Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. https://people.sc.fsu.edu/~jburkardt/f_src/special_functions/special_functions.html